Pandabase
Store APIsLicenses

List licenses

GET
/stores/{storeId}/licenses/

Returns a list of license keys issued by the store. Requires the LICENSES_READ scope.

Authorization

AuthorizationBearer <token>

Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.

In: header

Path Parameters

storeId*string
Length12 <= length <= 48

Query Parameters

page?integer
Range1 <= value
Default1
limit?integer
Range1 <= value <= 100
Default25
productId?string
Length12 <= length <= 48
status?||

Header Parameters

idempotency-key?string
Length8 <= length <= 32

Response Body

application/json

application/json

curl -X GET "https://example.com/stores/stringstring/licenses/"
{  "ok": true,  "data": {    "items": [      {        "id": "lic_q1mzj0kxw5h7n4tr3bcfp2v8",        "key": "ACME-XK7Q-9R3T-LP2W",        "status": "CLAIMED",        "productId": "prd_8h4t6sqzy3x9w5n2k1m0vqbf",        "variantId": null,        "orderId": "ord_p2v8q1mzj0kxw5h7n4tr3bcf",        "customerId": "cus_j8h0r1n4tzcbfp2v8q1mzwx5",        "claimedAt": "2026-05-14T12:35:11.000Z",        "createdAt": "2026-05-14T12:35:11.000Z"      }    ],    "pagination": {      "page": 1,      "limit": 25,      "total": 1,      "totalPages": 1    }  }}

Last updated on